aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--development/checkbashisms/checkbashisms.SlackBuild42
-rw-r--r--development/checkbashisms/checkbashisms.info12
2 files changed, 39 insertions, 15 deletions
diff --git a/development/checkbashisms/checkbashisms.SlackBuild b/development/checkbashisms/checkbashisms.SlackBuild
index bd8e78eeafac..d9a1d705a3a6 100644
--- a/development/checkbashisms/checkbashisms.SlackBuild
+++ b/development/checkbashisms/checkbashisms.SlackBuild
@@ -2,6 +2,7 @@
# Slackware build script for "checkbashisms".
+# Copyright 2024 Sean Hinchee
# Copyright 2015-2016 Marcel Saegebarth <marc@mos6581.de>
# All rights reserved.
#
@@ -25,12 +26,14 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=checkbashisms
-VERSION=${VERSION:-2.15.10}
-REV=${REV:-00d3afd7eefe53371d07d7404caf6b862a32931e}
+VERSION=${VERSION:-2.23.4}
+#REV=${REV:-00d3afd7eefe53371d07d7404caf6b862a32931e}
ARCH=noarch
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
+STEM="devscripts-2.23.4+deb12u2"
+ARCHIVE="devscripts_2.23.4+deb12u2.tar.xz"
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
@@ -48,16 +51,39 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $PKG
+cd $TMP
+
+rm -rf $STEM
+tar xvf $CWD/$ARCHIVE
+cd $STEM
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+### Build
mkdir -p $PKG/usr/bin
-install -m 0755 "$CWD/$PRGNAM.pl?id=$REV" $PKG/usr/bin/$PRGNAM || \
- install -m 0755 "$CWD/$PRGNAM.pl" $PKG/usr/bin/$PRGNAM
+cp scripts/$PRGNAM.pl $PKG/usr/bin/
+### Bash completions
+mkdir -p $PKG/usr/share/bash-completion/completions
+cp scripts/$PRGNAM.bash_completion $PKG/usr/share/bash-completion/completions/$PRGNAM
+
+### Manual
mkdir -p $PKG/usr/man/man1
-cat "$CWD/$PRGNAM.1?id=$REV" > $PKG/usr/man/man1/$PRGNAM.1 || \
- cat "$CWD/$PRGNAM.1" > $PKG/usr/man/man1/$PRGNAM.1
-gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+cp scripts/$PRGNAM.1 $PKG/usr/man/man1/
+
+### Wrap up package
+
+#find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+# | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/development/checkbashisms/checkbashisms.info b/development/checkbashisms/checkbashisms.info
index 628087b57c58..4fa608b42014 100644
--- a/development/checkbashisms/checkbashisms.info
+++ b/development/checkbashisms/checkbashisms.info
@@ -1,12 +1,10 @@
PRGNAM="checkbashisms"
-VERSION="2.15.10"
+VERSION="2.23.4"
HOMEPAGE="https://packages.qa.debian.org/d/devscripts.html"
-DOWNLOAD="https://sourceforge.net/projects/slackbuildsdirectlinks/files/checkbashisms/checkbashisms.pl \
- https://sourceforge.net/projects/slackbuildsdirectlinks/files/checkbashisms/checkbashisms.1"
-MD5SUM="b4ea752c37f0b01d381aaee98c98a085 \
- f0f7c2c3a449c62579b666f3818d4ae4"
+DOWNLOAD="http://deb.debian.org/debian/pool/main/d/devscripts/devscripts_2.23.4+deb12u2.tar.xz"
+MD5SUM="492b78d67298e7eece0dc3552a01ffa9"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Marcel Saegebarth"
-EMAIL="marc@mos6581.de"
+MAINTAINER="Sean Hinchee"
+EMAIL="henesy.dev@gmail.com"